clear all;
close all;
clc;
%% Script of estimation and plotting spectrograms of Jansen's signals
%
%% Description
%
% Spectrograms of loaded Jansen's signals are estimated and plotted in
% figures
%
%% Loading of Jansen's signals, from both models
%
load C135.mat
load K1_50_K2_500.mat
load K1_7000_K2_10.mat
%
%% Estimation and plotting of these signals in figures
%
figure
specgram(C135(1:1762,2),512,500,kaiser(500,5),475);
title('Spectrogram of column 1 - alpha activity')
xlabel('Time [s]')
ylabel('Frequency [Hz]')
%
figure
subplot(211)
specgram(K1_50_K2_500(1:1762,2),512,500,kaiser(500,5),475);
title('Spectrogram of column 1 - alpha activity')
xlabel('Time [s]')
ylabel('Frequency [Hz]')
hold on
subplot(212)
specgram(K1_50_K2_500(1:1762,3),512,500,kaiser(500,5),475)
title('Spectrogram of column 2 - beta activity')
xlabel('Time [s]')
ylabel('Frequency [Hz]')
hold off
%
figure
subplot(211)
specgram(K1_7000_K2_10(1:1762,2),512,500,kaiser(500,5),475)
title('Spectrogram of column 1 - alpha activity')
xlabel('Time [s]')
ylabel('Frequency [Hz]')
hold on
subplot(212)
specgram(K1_7000_K2_10(1:1762,2),512,500,kaiser(500,5),475)
title('Spectrogram of column 2 - alpha activity')
xlabel('Time [s]')
ylabel('Frequency [Hz]')
hold off